<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::any_decision_function&lt; sample_type_, result_type_ &gt;::derived&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1any__decision__function.html">any_decision_function</a></li><li class="navelem"><a class="el" href="structdlib_1_1any__decision__function_1_1derived.html">derived</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1any__decision__function_1_1derived-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::any_decision_function&lt; sample_type_, result_type_ &gt;::derived&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::any_decision_function&lt; sample_type_, result_type_ &gt;::derived&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1any__decision__function_1_1derived.png" usemap="#dlib::any_5Fdecision_5Ffunction_3C_20sample_5Ftype_5F_2C_20result_5Ftype_5F_20_3E::derived_3C_20T_20_3E_map" alt=""/>
  <map id="dlib::any_5Fdecision_5Ffunction_3C_20sample_5Ftype_5F_2C_20result_5Ftype_5F_20_3E::derived_3C_20T_20_3E_map" name="dlib::any_5Fdecision_5Ffunction_3C_20sample_5Ftype_5F_2C_20result_5Ftype_5F_20_3E::derived_3C_20T_20_3E_map">
<area href="structdlib_1_1any__decision__function_1_1base.html" alt="dlib::any_decision_function&lt; sample_type_, result_type_ &gt;::base" shape="rect" coords="0,0,424,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06b96deda3ac6315fd3a0b09c9da95d4"><td class="memItemLeft" align="right" valign="top"><a id="a06b96deda3ac6315fd3a0b09c9da95d4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>derived</b> (const T &amp;val)</td></tr>
<tr class="separator:a06b96deda3ac6315fd3a0b09c9da95d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704afcdebb8ceb407ea7004e9a7dedf6"><td class="memItemLeft" align="right" valign="top"><a id="a704afcdebb8ceb407ea7004e9a7dedf6"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_to</b> (<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="structdlib_1_1any__decision__function_1_1base.html">base</a> &gt; &amp;dest) const</td></tr>
<tr class="separator:a704afcdebb8ceb407ea7004e9a7dedf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac8046bed82966702e3838d0cecb935"><td class="memItemLeft" align="right" valign="top"><a id="a2ac8046bed82966702e3838d0cecb935"></a>
virtual result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (const sample_type &amp;samp) const</td></tr>
<tr class="separator:a2ac8046bed82966702e3838d0cecb935"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a239c1bdc84175272e2cefb2daf902f66"><td class="memItemLeft" align="right" valign="top"><a id="a239c1bdc84175272e2cefb2daf902f66"></a>
T&#160;</td><td class="memItemRight" valign="bottom"><b>item</b></td></tr>
<tr class="separator:a239c1bdc84175272e2cefb2daf902f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="any__decision__function_8h_source.html">any_decision_function.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
